Package ru.bitel.oss.systems.inventory.resource.common.event

# Class IpResourceSubscribeEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.PoolQueueEvent
ru.bitel.oss.systems.inventory.resource.common.event.IpResourceSubscribeEvent

All Implemented Interfaces:
  `Serializable`

public class IpResourceSubscribeEvent extends ru.bitel.bgbilling.kernel.event.common.PoolQueueEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `IpResourceSubscribeEvent()`
  ``
  `IpResourceSubscribeEvent(PoolEventPublisher<IpResourceUnsubscribeEvent> publisher, int subscriberType, int subscriberId, String subscriberTitle, Set<Integer> categorieIds, int ipResourceId, Date timeFrom, long connectionId, byte[] address)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getAddress()`
  `Set<Integer>`
  `getCategorieIds()`
  `long`
  `getConnectionId()`
  `int`
  `getIpResourceId()`
  `String`
  `getSubscriberTitle()`
  `int`
  `getSubscriberType()`
  `Date`
  `getTimeFrom()`
  `void`
  `setAddress(byte[] address)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IpResourceSubscribeEvent

    protected IpResourceSubscribeEvent()

  - ### IpResourceSubscribeEvent

    public IpResourceSubscribeEvent(PoolEventPublisher<IpResourceUnsubscribeEvent> publisher, int subscriberType, int subscriberId, String subscriberTitle, Set<Integer> categorieIds, int ipResourceId, Date timeFrom, long connectionId, byte[] address)

- ## Method Details

  - ### getAddress

    public byte[] getAddress()

  - ### setAddress

    public void setAddress(byte[] address)

  - ### getSubscriberType

    public int getSubscriberType()

  - ### getSubscriberTitle

    public String getSubscriberTitle()

  - ### getCategorieIds

    public Set<Integer> getCategorieIds()

  - ### getIpResourceId

    public int getIpResourceId()

  - ### getTimeFrom

    public Date getTimeFrom()

  - ### getConnectionId

    public long getConnectionId()